Remove permissions from a Role.

It is required a Role and a list of permissions ids to remove. The process is remove the role from each permission (permission.proto for more information on permissions) Permission Level: Read-Write

DELETE /users/roles/{roleId}/permissions

Operation id: RoleService_DeleteRolePermissions

Tags: RoleService

Parameters

Path parameters

NameTypeRequiredDescription
roleIdstringYes

Query parameters

NameTypeRequiredDescription
domainstringNo
ownerTenantIdstringNo
permissionIdsarrayNo
scopestringNo

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}